Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
waiting_fd Struct Reference

## Data Fields
struct list_node | wfd_node
rb_thread_t * | th
int | fd

## Detailed Description

Definition at line 136 of file thread.c.

## Field Documentation

## ◆ fd

int waiting_fd::fd

Definition at line 139 of file thread.c.

Referenced by rb_notify_fd_close(), and rb_thread_io_blocking_region().

## ◆ th

rb_thread_t* waiting_fd::th

Definition at line 138 of file thread.c.

Referenced by rb_notify_fd_close(), rb_thread_call_with_gvl(), and rb_thread_io_blocking_region().

## ◆ wfd_node

struct list_node waiting_fd::wfd_node

Definition at line 137 of file thread.c.

Referenced by rb_notify_fd_close().

The documentation for this struct was generated from the following file:

- thread.c